class PcVideo extends React.Component
{
  constructor(props)
  {
    super(props);

    this.video = React.createRef();
  }

  componentDidUpdate()
  {
    if (this.video.current) {this.video.current.play();}
  }

  onError()
  {

  }

  render()
  {
    if (!this.props.display)
    {
        if (this.video.current) {this.video.current.currentTime=0;}
    }

    return e("video",
      {
        className:"pcvideo",
        autoPlay:"autoplay",
        loop:"loop",
        muted:"muted",
        width:"100%",
        height:"100%",
        style:{display:this.props.display?"block":"none", objectFit: "fill",},
        onError: this.onError.bind(this),
        ref:this.video
      },
      e("source",
        {
          src:this.props.file,
          type:"video/mp4"
        }
      )
    )
  }

}
